<?php
function dancemaster_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'dancemaster_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => '646464',
		'width'                  => 2000, 
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'dancemaster_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'dancemaster_custom_header_setup' );

if ( ! function_exists( 'dancemaster_header_style' ) ) :

function dancemaster_header_style() {
		$header_text_color = get_header_textcolor();

		$topheader_sitetitlecol = esc_attr(get_theme_mod('topheader_sitetitlecol','#fff'));
		$topheader_taglinecol = esc_attr(get_theme_mod('topheader_taglinecol','#fff'));

	?>
	<style type="text/css">

		<?php 
		
		?>

		h4.site-title {
			color: <?php echo apply_filters('dancemaster_topheader', $topheader_sitetitlecol); ?> !important;

		}

		p.site-description {
			color: <?php echo apply_filters('dancemaster_topheader', $topheader_taglinecol); ?>;

		}

		
		<?php  ?>
	<?php
		if ( ! display_header_text() ) :
	?>
		.site-title,
		.site-description {
			position: absolute;
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php
		else :
	?>
		h4.site-title{
			color: #fff;
		}
	<?php endif; ?>
	</style>
	<?php
}
endif;
