<?php
 /**
 * Enqueue scripts and styles.
 */
function dance_master_admin_scripts() {
	
	// Styles	

	wp_enqueue_style('dance-master-swiper-min',get_template_directory_uri().'/assets/css/swiper.css');

	wp_enqueue_style('dance-master-feature-slide-min',get_template_directory_uri().'/assets/css/feature.slide.css');


	wp_enqueue_style('dance-master-bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');
	
	wp_enqueue_style('dance-master-owl-carousel-min',get_template_directory_uri().'/assets/css/owl.carousel.min.css');
	
	wp_enqueue_style('dance-master-font-awesome',get_template_directory_uri().'/assets/css/fonts/font-awesome/css/font-awesome.min.css');
	
	wp_enqueue_style('dance-master-animate',get_template_directory_uri().'/assets/css/animate.css');
	
	wp_enqueue_style('dance-master-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('dance-master-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('dance-master-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'dance-master-style', get_stylesheet_uri() );
	
	// Scripts
	wp_enqueue_script( 'jquery' );


    wp_enqueue_script('dance-master-sliderscript', get_template_directory_uri().'/assets/js/sliderscript.js', array(), '1.1', true);

	wp_enqueue_script('dance-master-swiper', get_template_directory_uri() . '/assets/js/swiper.js', array('jquery'), true);

	wp_enqueue_script('dance-master-feature-slide', get_template_directory_uri() . '/assets/js/feature.slide.js', array('jquery'), true);

	
	wp_enqueue_script('dance-master-bootstrap-bundle', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('dance-master-owl-carousel', get_template_directory_uri() . '/assets/js/owl.carousel.min.js', array('jquery'), false, true);
	
	wp_enqueue_script('dance-master-wow-min', get_template_directory_uri() . '/assets/js/wow.min.js', array('jquery'), false, false, true);

	wp_enqueue_script('dance-master-custom-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'dance_master_admin_scripts' );


