<?php if ( get_header_image() ) : ?>
	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" id="custom-header" rel="home">
		<img src="<?php esc_url(header_image()); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="<?php echo esc_attr(get_bloginfo( 'title' )); ?>">
	</a>	
<?php endif;  ?>
<!-- Header Area -->

	<?php 

		$stickyheader = esc_attr(dancemaster_sticky_menu());
	?>

    <header class="main-header <?php echo esc_attr(dancemaster_sticky_menu()); ?>" >

    		
		<?php if ( function_exists( 'peccular_companion_activated' ) ) { ?>
			<button class="top-header-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".top-header"><i class="fa fa-ellipsis-v"></i></button>
		<?php } ?>	

			<?php 

				$topheader_phn = get_theme_mod('topheader_phn','+(012)1234 5678');
				$topheader_phnicon = get_theme_mod('topheader_phnicon','fa fa-phone');

			?>
			
           <!-- Header -->
            <nav class="navbar navbar-expand-lg navbaroffcanvase">
            	<div class="row">
            		<div class="col-md-4 col-lg-4 col-sm-12 pd-0">
						<div class="logo">
							<?php
							if(has_custom_logo())
								{	
									the_custom_logo();
								}
								else { 
								?>
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
									<h4 class="site-title">
										<?php 
											echo esc_html(bloginfo('name'));
										?>
									</h4>
								</a>	
							<?php 						
								}
							?>
							
							
						</div>
						<?php
							$dancemaster_site_desc = get_bloginfo( 'description');
							if ($dancemaster_site_desc) : ?>
								<p class="site-description"><?php echo esc_html($dancemaster_site_desc); ?></p>
						<?php endif; ?>
					</div>

					<div class="col-md-6 col-lg-6 col-sm-12 Mnu-bar">
						<div class="navbar-menubar">
		                    <!-- Small Divice Menu-->
		                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-menu"  aria-label="<?php echo esc_attr_e('Toggle navigation','dance-master'); ?>"> 
		                        <i class="fa fa-bars"></i>
		                    </button>
		                    <div class="collapse navbar-collapse navbar-menu">
			                    <button class="navbar-toggler navbar-toggler-close" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-menu"  aria-label="<?php echo esc_attr_e('Toggle navigation','dance-master'); ?>"> 
			                        <i class="fa fa-times"></i>
			                    </button> 
								<?php 
									wp_nav_menu( 
										array(  
											'theme_location' => 'primary_menu',
											'container'  => '',
											'container_id'    => '',
											'menu_class' => 'navbar-nav main-nav',
											'fallback_cb' => 'WP_Bootstrap_Navwalker::fallback',
											'walker' => new WP_Bootstrap_Navwalker()
											 ) 
										);
								?>

								
		                    </div>
		                    
		                </div>
	                </div>
	                
	                

					<div class="col-md-2 col-lg-2 col-sm-12 padding-0 h-btn">
						<div class="col-space-content">
							<div class="phn">
	                		<a href="tel:<?php echo $topheader_phn;?>">
								<p class="dancemaster-phone-label"><i class="<?php echo apply_filters('dancemaster_topheader', $topheader_phnicon); ?>" ></i><?php echo apply_filters('dancemaster_topheader', $topheader_phn); ?></p>
								</a>
	                		</div>	
						</div>
	                </div>	


            	</div>
            </nav>
    </header>